%global pkgvers 3
%global scdate0 20220530
%global schash0 92628ec323dcce464185ad9e0f58a788c2be6989
%global branch0 master
%global source0 https://github.com/litex-hub/pythondata-cpu-mor1kx.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           litex-pythondata-cpu-mor1kx
Version:        2022.08
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Non-Python files needed for the cpu mor1kx
License:        BSD
BuildArch:      noarch

URL:            https://github.com/litex-hub/pythondata-cpu-mor1kx

BuildRequires:  git python3-devel python3-setuptools

Requires:       %{name}-python3 = %{version}-%{release}

%description
Non-Python files needed for the cpu mor1kx packaged
into a Python module so they can be used with Python
libraries and tools.


%package        python3
Summary:        %{summary}
Requires:       litex-python3
Provides:       pythondata-cpu-mor1kx

%description    python3
Non-Python files needed for the cpu mor1kx packaged
into a Python module so they can be used with Python
libraries and tools.


%prep
%setup -T -c -n %{name}
find %{_builddir} -name SPECPARTS -exec rm -rf {} +
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%{py3_build}


%install
%{py3_install}


%files python3
%doc README.md
%license LICENSE
%{python3_sitelib}/*


%changelog
* Thu Nov 18 2021 Cristian Balint <cristian.balint@gmail.com>
- initial release
